package com.qmth.distributed.print.business.enums;

import java.util.Objects;

/**
 * @Description: 自定义流程审核用户类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/21
 */
public enum CustomFlowTypeEnum {

    START("开始节点"),

    PROCESS("过程节点"),

    END("结束节点");

    private String title;

    private CustomFlowTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (CustomFlowTypeEnum e : CustomFlowTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
